com.dlsc.flexgantt.model.paging

## Class Page

- java.lang.Object
- - com.dlsc.flexgantt.util.NamedObject
  - - com.dlsc.flexgantt.model.paging.Page

- All Implemented Interfaces:
    INamedObject, Comparable<INamedObject>
  Direct Known Subclasses:
    Bookmark

      public class Page
      extends NamedObject

  A page is basically a named time span, where the name is used for displaying the pages to the user. Pages are added to and sorted (by their time span's start time) by paging models. Several operations are defined on paging models to goto the different pages.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `DefaultPagingModel.addPage(Page)`

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.util.NamedObject

      `PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page(ITimeSpan span, String name)` Constructs a new page.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITimeSpan` | `getTimeSpan()` Returns the time span represented by the page.

    - ### Methods inherited from class com.dlsc.flexgantt.util.NamedObject

      `addPropertyChangeListener, compareTo, getChangeSupport, getName, removePropertyChangeListener, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Page

          public Page(ITimeSpan span,
                      String name)

      Constructs a new page.
      Parameters:
        `span` - the time span represented by the page
        `name` - the name used in the user interface when displaying the page
      Since:
        1.0

  - ### Method Detail

    - #### getTimeSpan

          public ITimeSpan getTimeSpan()

      Returns the time span represented by the page.
      Returns:
        the page's time span
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.